
.. _rubygems_def:

=====================
Rubygems definition
=====================

.. contents::
   :depth: 3

github rubygems definition
===========================

.. include:: README.rst


English wikipedia definition
==============================

.. seealso::

   - https://en.wikipedia.org/wiki/RubyGems

**RubyGems** is a package manager for the Ruby programming language that provides
a standard format for distributing Ruby programs and libraries (in a self-contained
format called a **gem**), a tool designed to easily manage the installation of
gems, and a server for distributing them.

It was created by Chad Fowler and Richard Kilmer during RubyConf 2004.

The interface for RubyGems is a command-line tool called **gem** which can install
and manage libraries (the **gems**).

RubyGems integrates with Ruby run-time loader to help find and load installed
gems from standardized library folders. Though it is possible to use a private
RubyGems repository, the public repository is most commonly used for gem management.
